FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::semantics::GenericKind Struct Reference

## Public Member Functions
| ENUM_CLASS (DefinedIo, ReadFormatted, ReadUnformatted, WriteFormatted, WriteUnformatted) GenericKind()
template<typename T >
| GenericKind (const T &x)
bool | IsName () const
bool | IsAssignment () const
bool | IsDefinedOperator () const
bool | IsIntrinsicOperator () const
bool | IsOperator () const
std::string | ToString () const

## Public Attributes
std::variant< OtherKind, common::NumericOperator, common::LogicalOperator, common::RelationalOperator, DefinedIo > | u

The documentation for this struct was generated from the following files:

- include/flang/Semantics/symbol.h
- lib/Semantics/symbol.cpp